Bug 1139354 - update config.* to version with ppc64le support
Summary: update config.* to version with ppc64le support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: automake
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Raiskup
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-09-08 17:54 UTC by Dan Horák
Modified: 2014-09-29 04:01 UTC (History)
4 users (show)

Fixed In Version: automake-1.13.4-6.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:43:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Dan Horák 2014-09-08 17:54:42 UTC
Current version of /usr/share/automake/config.guess doesn't support ppc64le architecture. It means upstream source archives created with automake from F-20 can't be easily rebuilt on ppc64le architecture. The problem is not visible in koji or during rpm builds because %configure macro replaces the config.* files with the latest ones.

[sharkcz@ibm-power7r2-02-le02 ~]$ ./config.guess 
./config.guess: unable to guess system type

This script, last modified 2012-12-29, has failed to recognize
the operating system you are using. It is advised that you
download the most up to date version of the config scripts from
...

[sharkcz@ibm-power7r2-02-le02 ~]$ uname -a
Linux ibm-power7r2-02-le02.lab.eng.brq.redhat.com 3.16.1-300.fc21.ppc64le #1 SMP Fri Aug 15 09:12:31 UTC 2014 ppc64le ppc64le ppc64le GNU/Linux


Version-Release number of selected component (if applicable):
automake-1.13.4-5.fc20.noarch

Comment 1 Pavel Raiskup 2014-09-10 07:49:41 UTC
Dan, when I firstly read this bug, I thought it was request for syncing 
config.{guess,sub} with gnuconfig upstream.  But apparently, this issue is not
fixed upstream yet?

Comment 2 Dan Horák 2014-09-10 10:57:40 UTC
Well, I am a bit confused too :-)

[root@ibm-power7r2-01-le02 ~]# cat /etc/fedora-release 
Fedora release 21 (Twenty One)
[root@ibm-power7r2-01-le02 ~]# rpm -q automake
automake-1.14.1-4.fc21.noarch
[root@ibm-power7r2-01-le02 ~]# /usr/share/automake-1.14/config.guess
powerpc64le-unknown-linux-gnu
[sharkcz@ibm-power7r2-02-le02 ~]$ /usr/share/automake-1.14/config.guess -v
GNU config.guess (2013-11-29)


the RHEL 7.0 automake also understands ppc64le and I don't see any LE specific patches

[sharkcz@ibm-power7r2-01-le01 ~]$ cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.0 (Maipo)
[sharkcz@ibm-power7r2-01-le01 ~]$ rpm -q automake
automake-1.13.4-3.bs3.noarch
[sharkcz@ibm-power7r2-01-le01 ~]$ /usr/share/automake-1.13/config.guess 
powerpc64le-unknown-linux-gnu
[sharkcz@ibm-power7r2-01-le01 ~]$ /usr/share/automake-1.13/config.guess -v
GNU config.guess (2013-06-10)


but with config.guess extracted from automake-1.13.4-5.fc20.noarch.rpm I get
[sharkcz@ibm-power7r2-01-le01 ~]$ ./config.guess -v
GNU config.guess (2012-12-29)

Originally written by Per Bothner.
Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000,
2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011,
2012, 2013 Free Software Foundation, Inc.

This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
[sharkcz@ibm-power7r2-01-le01 ~]$ ./config.guess   
./config.guess: unable to guess system type

This script, last modified 2012-12-29, has failed to recognize
the operating system you are using. It is advised that you
download the most up to date version of the config scripts from


=> so having in F-20 the same version of config.guess is what we would like to see

Comment 3 Pavel Raiskup 2014-09-10 11:53:30 UTC
(In reply to Dan Horák from comment #2)
> Well, I am a bit confused too :-)
> [...]
> but with config.guess extracted from automake-1.13.4-5.fc20.noarch.rpm I get
> [sharkcz@ibm-power7r2-01-le01 ~]$ ./config.guess -v
> GNU config.guess (2012-12-29)
> [...]
> [sharkcz@ibm-power7r2-01-le01 ~]$ ./config.guess
> ./config.guess: unable to guess system type
>
> This script, last modified 2012-12-29, has failed to recognize
> the operating system you are using. It is advised that you
> download the most up to date version of the config scripts from

Thanks for details, that is my mistake :( - the macro %configure in comment
made the config.guess replacement with (those days) obsoleted config.* from
redhat-rpm-config.

> => so having in F-20 the same version of config.guess is what we would like
> to see

Yep, that makes this request clear.  I updated the config.{guess,sub} to
upstream git-HEAD as is encouraged by upstream anyway, should work for you
also.  I'll make bodhi update once automake-1.13.4-6.fc20 becomes built.

Comment 4 Fedora Update System 2014-09-10 12:39:29 UTC
automake-1.13.4-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/automake-1.13.4-6.fc20

Comment 5 Fedora Update System 2014-09-10 12:45:43 UTC
automake-1.14.1-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/automake-1.14.1-5.fc21

Comment 6 Fedora Update System 2014-09-10 16:41:33 UTC
Package automake-1.14.1-5.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing automake-1.14.1-5.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10599/automake-1.14.1-5.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-09-23 04:43:17 UTC
automake-1.14.1-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-09-29 04:01:53 UTC
automake-1.13.4-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.